Index: GTP/trunk/Lib/Vis/GtpVisibility05.sln
===================================================================
--- GTP/trunk/Lib/Vis/GtpVisibility05.sln	(revision 2563)
+++ GTP/trunk/Lib/Vis/GtpVisibility05.sln	(revision 2563)
@@ -0,0 +1,20 @@
+﻿
+Microsoft Visual Studio Solution File, Format Version 9.00
+# Visual Studio 2005
+Project("{8BC9CEB8-8B4A-11D0-8D11-00A0C91BC942}") = "Preprocessor05", "Preprocessing\src\GtpVisibility05.vcproj", "{3C8C3818-EB24-47D4-A04E-18D5255A2B2F}"
+EndProject
+Global
+	GlobalSection(SolutionConfigurationPlatforms) = preSolution
+		Debug|Win32 = Debug|Win32
+		Release|Win32 = Release|Win32
+	EndGlobalSection
+	GlobalSection(ProjectConfigurationPlatforms) = postSolution
+		{3C8C3818-EB24-47D4-A04E-18D5255A2B2F}.Debug|Win32.ActiveCfg = Debug|Win32
+		{3C8C3818-EB24-47D4-A04E-18D5255A2B2F}.Debug|Win32.Build.0 = Debug|Win32
+		{3C8C3818-EB24-47D4-A04E-18D5255A2B2F}.Release|Win32.ActiveCfg = Release|Win32
+		{3C8C3818-EB24-47D4-A04E-18D5255A2B2F}.Release|Win32.Build.0 = Release|Win32
+	EndGlobalSection
+	GlobalSection(SolutionProperties) = preSolution
+		HideSolutionNode = FALSE
+	EndGlobalSection
+EndGlobal
Index: GTP/trunk/Lib/Vis/Preprocessing/src/GtpVisibility05.vcproj.UNKNOWN.matt.user
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/GtpVisibility05.vcproj.UNKNOWN.matt.user	(revision 2563)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/GtpVisibility05.vcproj.UNKNOWN.matt.user	(revision 2563)
@@ -0,0 +1,65 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioUserFile
+	ProjectType="Visual C++"
+	Version="8,00"
+	ShowAllFiles="false"
+	>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			>
+			<DebugSettings
+				Command="$(TargetPath)"
+				WorkingDirectory=""
+				CommandArguments=""
+				Attach="false"
+				DebuggerType="3"
+				Remote="1"
+				RemoteMachine="UNKNOWN"
+				RemoteCommand=""
+				HttpUrl=""
+				PDBPath=""
+				SQLDebugging=""
+				Environment=""
+				EnvironmentMerge="true"
+				DebuggerFlavor=""
+				MPIRunCommand=""
+				MPIRunArguments=""
+				MPIRunWorkingDirectory=""
+				ApplicationCommand=""
+				ApplicationArguments=""
+				ShimCommand=""
+				MPIAcceptMode=""
+				MPIAcceptFilter=""
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			>
+			<DebugSettings
+				Command="$(TargetPath)"
+				WorkingDirectory=""
+				CommandArguments=""
+				Attach="false"
+				DebuggerType="3"
+				Remote="1"
+				RemoteMachine="UNKNOWN"
+				RemoteCommand=""
+				HttpUrl=""
+				PDBPath=""
+				SQLDebugging=""
+				Environment=""
+				EnvironmentMerge="true"
+				DebuggerFlavor=""
+				MPIRunCommand=""
+				MPIRunArguments=""
+				MPIRunWorkingDirectory=""
+				ApplicationCommand=""
+				ApplicationArguments=""
+				ShimCommand=""
+				MPIAcceptMode=""
+				MPIAcceptFilter=""
+			/>
+		</Configuration>
+	</Configurations>
+</VisualStudioUserFile>
Index: GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlRenderer.cpp
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlRenderer.cpp	(revision 2562)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlRenderer.cpp	(revision 2563)
@@ -739,6 +739,8 @@
 				target.x, target.y, target.z,
 				up.x, up.y, up.z);
-		} else {
-			float dist = Magnitude(mSceneGraph->GetBox().Diagonal())*mTopDistance;
+		} 
+		else 
+		{
+			float dist = Magnitude(mSceneGraph->GetBox().Diagonal()) * mTopDistance;
 			Vector3 pos = mViewPoint  + dist*Vector3(0,
 				1,
@@ -880,4 +882,5 @@
 	connect(mControlWidget, SIGNAL(SetSceneCut(int)), this, SLOT(SetSceneCut(int)));
 	connect(mControlWidget, SIGNAL(SetTopDistance(int)), this, SLOT(SetTopDistance(int)));
+	connect(mControlWidget, SIGNAL(SetTransparency(int)), this, SLOT(SetTransparency(int)));
 
 	connect(mControlWidget, SIGNAL(SetVisibilityFilterSize(int)), this, SLOT(SetVisibilityFilterSize(int)));
@@ -1146,5 +1149,5 @@
 {
 	mHidingCost = (float)number / 1000.0f;
-	cout << "hiding cost " << mHidingCost << endl;
+	//cout << "hiding cost " << mHidingCost << endl;
 }
 
@@ -1154,4 +1157,11 @@
 {
 	mTopDistance = number/1000.0f;
+	updateGL();
+}
+
+void
+QtGlRendererWidget::SetTransparency(int number)
+{
+	mTransparency = number/1000.0f;
 	updateGL();
 }
@@ -1200,6 +1210,4 @@
 			maxPiercingRays = piercingRays;
 	}
-
-	cout << "here22 " << mHideByCost << " " << mHidingCost << endl;
 
 	if (!mShowPvsSizes && !mShowPiercingRays)
@@ -1341,6 +1349,7 @@
 	slider->setValue(200);
 
-
 	connect(slider, SIGNAL(valueChanged(int)), SIGNAL(SetViewCellGranularity(int)));
+
+	///////////////////////////
 
 	label = new QLabel("Transfer function");
@@ -1357,10 +1366,13 @@
 	connect(slider, SIGNAL(valueChanged(int)), SIGNAL(SetTransferFunction(int)));
 
-	{
-		QPushButton *button = new QPushButton("Update all PVSs", vbox);
-		vbox->layout()->addWidget(button);
-		connect(button, SIGNAL(clicked()), SLOT(UpdateAllPvs()));
-	}
-
+	////////////////////////////////////////7
+
+
+	QPushButton *button = new QPushButton("Update all PVSs", vbox);
+	vbox->layout()->addWidget(button);
+	connect(button, SIGNAL(clicked()), SLOT(UpdateAllPvs()));
+
+
+	////////////////////////////////////////77777
 
 	label = new QLabel("Filter size");
@@ -1377,4 +1389,6 @@
 
 
+	//////////////////////////////////////////
+
 	label = new QLabel("Spatial Filter size");
 	vbox->layout()->addWidget(label);
@@ -1390,4 +1404,6 @@
 
 
+	///////////////////////////////////
+
 
 	QWidget *hbox = new QWidget(vbox);
@@ -1416,9 +1432,43 @@
 	connect(cb, SIGNAL(toggled(bool)), SIGNAL(SetShowRays(bool)));
 
-	
 	cb = new QCheckBox("Show piercing rays", hbox);
 	hlayout->addWidget(cb);
 	cb->setChecked(false);
 	connect(cb, SIGNAL(toggled(bool)), SIGNAL(SetShowPiercingRays(bool)));
+
+
+	QButtonGroup *qbuttongroup = new QButtonGroup(hbox);//, "RenderingGroupBox");
+	//qbuttongroup->setTitle(i18n("Rendering options"));
+	/*qbuttongroup->setColumnLayout(0, Qt::Vertical);
+	qbuttongroup->layout()->setSpacing(0);
+	qbuttongroup->layout()->setMargin(0);
+*/
+	// Create a layout to organize the widgets.
+/*	QVBoxLayout *qvboxlayout = new QVBoxLayout(qbuttongroup->layout());
+	qvboxlayout->setAlignment(Qt::AlignTop)
+	qvboxlayout->setSpacing(6);
+	qvboxlayout->setMargin(11);
+*/
+	QRadioButton *rb;
+
+	// Create a check box to be in the group box
+	rb = new QRadioButton("piercing rays", hbox);
+	rb->setText("here71");
+	//qvboxlayout->addWidget(rb);
+
+	// Create another check box to the group box
+/*	m_qradiobuttonStartFile = new QRadioButton("startFile", hbox);
+	m_qradiobuttonStartFile->setText(i18n( "Start with last file used" ) );
+	qvboxlayout->addWidget(mRadiobuttonStartFile);
+*/
+
+	//////////////////////////////////
+
+
+	/*cb = new QRadiobox("Top View", vbox);
+	vbox->layout()->addWidget(cb);
+	cb->setChecked(false);
+	connect(cb, SIGNAL(toggled(bool)), SIGNAL(SetTopView(bool)));
+*/
 
 	vbox->resize(800,150);
@@ -1448,4 +1498,69 @@
 	connect(slider, SIGNAL(valueChanged(int)), SIGNAL(SetSceneCut(int)));
 
+	
+	cb = new QCheckBox("Hide view cells by render cost ", vbox);
+	vbox->layout()->addWidget(cb);
+	cb->setChecked(false);
+	connect(cb, SIGNAL(toggled(bool)), SIGNAL(SetHideByCost(bool)));
+
+	////////////////////////////
+
+	const int range = 1000;
+
+	label = new QLabel("Hide by cost");
+	vbox->layout()->addWidget(label);
+
+	// the render cost visualization
+	slider = new QSlider(Qt::Horizontal, vbox);
+	vbox->layout()->addWidget(slider);
+	slider->show();
+	slider->setRange(0, range);
+	slider->setSizePolicy(QSizePolicy::Preferred, QSizePolicy::Preferred);
+	slider->setValue(0);
+	connect(slider, SIGNAL(valueChanged(int)), SIGNAL(SetHidingCost(int)));
+
+	///////////////////////////////////////////
+
+	cb = new QCheckBox("Top View", vbox);
+	vbox->layout()->addWidget(cb);
+	cb->setChecked(false);
+	connect(cb, SIGNAL(toggled(bool)), SIGNAL(SetTopView(bool)));
+
+
+	label = new QLabel("Top distance");
+	vbox->layout()->addWidget(label);
+	
+	slider = new QSlider(Qt::Horizontal, vbox);
+	vbox->layout()->addWidget(slider);
+	slider->show();
+	slider->setRange(1, 1000);
+	slider->setSizePolicy(QSizePolicy::Preferred, QSizePolicy::Preferred);
+	slider->setValue(500);
+
+	connect(slider, SIGNAL(valueChanged(int)), SIGNAL(SetTopDistance(int)));
+	
+
+	///////////////////////////////////////////
+
+	cb = new QCheckBox("Transparency", vbox);
+	vbox->layout()->addWidget(cb);
+	cb->setChecked(false);
+	connect(cb, SIGNAL(toggled(bool)), SIGNAL(SetTransparency(bool)));
+
+	label = new QLabel("Use transparency");
+	vbox->layout()->addWidget(label);
+
+	// the render cost visualization
+	slider = new QSlider(Qt::Horizontal, vbox);
+	vbox->layout()->addWidget(slider);
+	slider->show();
+	slider->setRange(0, range);
+	slider->setSizePolicy(QSizePolicy::Preferred, QSizePolicy::Preferred);
+	slider->setValue(0);
+
+	connect(slider, SIGNAL(valueChanged(int)), SIGNAL(SetTransparency(int)));
+
+	//////////////////////////////
+
 
 	cb = new QCheckBox("Cut scene", vbox);
@@ -1493,22 +1608,4 @@
 
 
-
-
-	slider = new QSlider(Qt::Horizontal, vbox);
-	vbox->layout()->addWidget(slider);
-	slider->show();
-	slider->setRange(1, 1000);
-	slider->setSizePolicy(QSizePolicy::Preferred, QSizePolicy::Preferred);
-	slider->setValue(500);
-
-	connect(slider, SIGNAL(valueChanged(int)), SIGNAL(SetTopDistance(int)));
-
-	cb = new QCheckBox("Top View", vbox);
-	vbox->layout()->addWidget(cb);
-	cb->setChecked(false);
-	connect(cb, SIGNAL(toggled(bool)), SIGNAL(SetTopView(bool)));
-
-
-
 	vbox = new QGroupBox("PVS Errors", this);
 	layout()->addWidget(vbox);
@@ -1517,5 +1614,5 @@
 	vbox->setLayout(vl);
 
-	QPushButton *button = new QPushButton("Compute Visibility", vbox);
+	button = new QPushButton("Compute Visibility", vbox);
 	vbox->layout()->addWidget(button);
 	connect(button, SIGNAL(clicked()), SLOT(ComputeVisibility()));
@@ -1545,22 +1642,11 @@
 			SLOT(PvsErrorClicked(const QModelIndex &)));
 
-		QPushButton *button = new QPushButton("Next Error Frame", vbox);
+		button = new QPushButton("Next Error Frame", vbox);
 		vbox->layout()->addWidget(button);
 		connect(button, SIGNAL(clicked(void)), SLOT(FocusNextPvsErrorFrame(void)));
 	}
 
-	// the render cost visualization
-	slider = new QSlider(Qt::Horizontal, vbox);
-	vbox->layout()->addWidget(slider);
-	slider->show();
-	slider->setRange(0, 1000);
-	slider->setSizePolicy(QSizePolicy::Preferred, QSizePolicy::Preferred);
-	slider->setValue(100);
-	connect(slider, SIGNAL(valueChanged(int)), SIGNAL(SetHidingCost(int)));
 	
-	cb = new QCheckBox("Hide view cells by render cost ", vbox);
-	vbox->layout()->addWidget(cb);
-	cb->setChecked(false);
-	connect(cb, SIGNAL(toggled(bool)), SIGNAL(SetHideByCost(bool)));
+	//mHidingCost = 0.1f;
 
 	setWindowTitle("Preprocessor Control Widget");
Index: GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlRenderer.h
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlRenderer.h	(revision 2562)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/QtInterface/QtGlRenderer.h	(revision 2563)
@@ -102,4 +102,5 @@
   void SetVisibilityFilterSize(int);
   void SetSpatialFilterSize(int);
+  void SetTransparency(int);
 
   void SetShowRays(bool);
@@ -119,4 +120,5 @@
 
   void SetHideByCost(bool);
+  void SetTransparency(bool);
 };
 
@@ -152,4 +154,6 @@
 	float mTopDistance;
 
+	float mTransparency;
+
 	// some statistics
 	int mPvsSize;
@@ -284,4 +288,7 @@
 
 	void
+		SetTransparency(int dist);
+
+	void
 		SetHidingCost(int dist);
 
@@ -317,6 +324,4 @@
 
 	void SetCutViewCells(bool b) {
-		std::cout << "here64" << std::endl;
-
 		mCutViewCells = b;
 		updateGL();
@@ -328,5 +333,4 @@
 
 	void SetHideByCost(bool b) {
-		std::cout << "here45" << std::endl;
 		mHideByCost = b;
 		updateGL();
Index: GTP/trunk/Lib/Vis/Preprocessing/src/GtpVisibility05.vcproj
===================================================================
--- GTP/trunk/Lib/Vis/Preprocessing/src/GtpVisibility05.vcproj	(revision 2563)
+++ GTP/trunk/Lib/Vis/Preprocessing/src/GtpVisibility05.vcproj	(revision 2563)
@@ -0,0 +1,897 @@
+<?xml version="1.0" encoding="Windows-1252"?>
+<VisualStudioProject
+	ProjectType="Visual C++"
+	Version="8,00"
+	Name="Preprocessor05"
+	ProjectGUID="{3C8C3818-EB24-47D4-A04E-18D5255A2B2F}"
+	RootNamespace="GtpVisibility05"
+	>
+	<Platforms>
+		<Platform
+			Name="Win32"
+		/>
+	</Platforms>
+	<ToolFiles>
+	</ToolFiles>
+	<Configurations>
+		<Configuration
+			Name="Debug|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="1"
+			CharacterSet="2"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				Optimization="0"
+				AdditionalIncludeDirectories="..\include;..\src;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\..\..\..\..\NonGTP\Boost;Timer"
+				PreprocessorDefinitions="WIN32;DEBUG;_CONSOLE;NO_QT;USE_VERBOSE_PVS"
+				MinimalRebuild="true"
+				BasicRuntimeChecks="3"
+				RuntimeLibrary="3"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="true"
+				DebugInformationFormat="4"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLinkerTool"
+				AdditionalDependencies="xerces-c_2.lib glew32.lib zdll.lib zziplib.lib devil.lib glut32.lib OpenGL32.Lib glu32.lib Preprocessor.lib"
+				AdditionalLibraryDirectories="..\src\GL;..\lib\debug;..\..\..\..\..\..\NonGTP\Boost\lib;..\..\..\..\..\..\NonGTP\Xerces\xercesc\lib;..\..\..\..\..\..\NonGTP\Zlib\lib;..\..\..\..\..\..\NonGTP\Devil\lib"
+				GenerateDebugInformation="true"
+				TargetMachine="1"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCManifestTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCAppVerifierTool"
+			/>
+			<Tool
+				Name="VCWebDeploymentTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+		<Configuration
+			Name="Release|Win32"
+			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
+			IntermediateDirectory="$(ConfigurationName)"
+			ConfigurationType="4"
+			CharacterSet="2"
+			WholeProgramOptimization="1"
+			>
+			<Tool
+				Name="VCPreBuildEventTool"
+			/>
+			<Tool
+				Name="VCCustomBuildTool"
+			/>
+			<Tool
+				Name="VCXMLDataGeneratorTool"
+			/>
+			<Tool
+				Name="VCWebServiceProxyGeneratorTool"
+			/>
+			<Tool
+				Name="VCMIDLTool"
+			/>
+			<Tool
+				Name="VCCLCompilerTool"
+				AdditionalIncludeDirectories="..\include;..\src;..\..\..\..\..\..\NonGTP\Devil\include;..\..\..\..\..\..\NonGTP\Zlib\include;..\..\..\..\..\..\NonGTP\Xerces;..\..\..\..\..\..\NonGTP\Boost;Timer"
+				PreprocessorDefinitions="WIN32;NDEBUG;_CONSOLE;NO_QT;USE_VERBOSE_PVS"
+				RuntimeLibrary="2"
+				WarningLevel="3"
+				Detect64BitPortabilityProblems="true"
+				DebugInformationFormat="3"
+			/>
+			<Tool
+				Name="VCManagedResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCResourceCompilerTool"
+			/>
+			<Tool
+				Name="VCPreLinkEventTool"
+			/>
+			<Tool
+				Name="VCLibrarianTool"
+			/>
+			<Tool
+				Name="VCALinkTool"
+			/>
+			<Tool
+				Name="VCXDCMakeTool"
+			/>
+			<Tool
+				Name="VCBscMakeTool"
+			/>
+			<Tool
+				Name="VCFxCopTool"
+			/>
+			<Tool
+				Name="VCPostBuildEventTool"
+			/>
+		</Configuration>
+	</Configurations>
+	<References>
+	</References>
+	<Files>
+		<Filter
+			Name="Source Files"
+			Filter="cpp;c;cc;cxx;def;odl;idl;hpj;bat;asm;asmx"
+			UniqueIdentifier="{4FC737F1-C7A5-4376-A066-2A32D752A2FF}"
+			>
+			<File
+				RelativePath=".\AxisAlignedBox3.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Beam.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\BitVectorPvs.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\BvHierarchy.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Camera.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\CombinedPreprocessor.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\common.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\DifferenceSampling.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Environment.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ExactPreprocessor.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Exporter.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\GlobalLinesRenderer.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\GlRenderer.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\GvsPreprocessor.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\GzBinFileInputStream.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\GzFileInputSource.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\gzstream.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Halton.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\HierarchyManager.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\IntelRayCaster.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\InternalRayCaster.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Intersectable.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\IntersectableWrapper.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\IntersectionBoundingBoxConverter.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\KdTree.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\LogManager.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Mailable.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\main.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Material.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Matrix4x4.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Mesh.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\MeshKdTree.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Mutation.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\MutualVisibility.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ObjectPvs.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ObjectsParser.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ObjExporter.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ObjParser.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\OcclusionQuery.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\OspTree.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Plane3.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\plyfile.c"
+				>
+			</File>
+			<File
+				RelativePath=".\PlyParser.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Polygon3.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Polytope.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Preprocessor.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\PreprocessorFactory.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\PreprocessorThread.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Ray.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\RayCaster.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\RayInfo.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Rectangle3.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Renderer.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\RenderSampler.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\RenderSimulator.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\RenderTexture.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ReverseGvs.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\RssPreprocessor.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\RssTree.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\SamplingPreprocessor.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\SamplingStrategy.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\SceneGraph.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\SubdivisionCandidate.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Tetrahedron3.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Trackball.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\TraversalTree.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Triangle3.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\UnigraphicsParser.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Vector2.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\Vector3.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ViewCell.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ViewCellBsp.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ViewCellsManager.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\ViewCellsParser.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\VrmlExporter.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\VspBspTree.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\VspTree.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\VssPreprocessor.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\VssRay.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\VssTree.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\X3dExporter.cpp"
+				>
+			</File>
+			<File
+				RelativePath=".\X3dParser.cpp"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Header Files"
+			Filter="h;hpp;hxx;hm;inl;inc;xsd"
+			UniqueIdentifier="{93995380-89BD-4b04-88EB-625FBE52EBFB}"
+			>
+			<File
+				RelativePath=".\AxisAlignedBox3.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Beam.h"
+				>
+			</File>
+			<File
+				RelativePath=".\BitVectorPvs.h"
+				>
+			</File>
+			<File
+				RelativePath=".\BoostPreprocessorThread.h"
+				>
+			</File>
+			<File
+				RelativePath=".\BoundingBoxConverter.h"
+				>
+			</File>
+			<File
+				RelativePath=".\BvHierarchy.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Camera.h"
+				>
+			</File>
+			<File
+				RelativePath=".\CombinedPreprocessor.h"
+				>
+			</File>
+			<File
+				RelativePath=".\common.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Containers.h"
+				>
+			</File>
+			<File
+				RelativePath=".\DifferenceSampling.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Environment.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ExactPreprocessor.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Exporter.h"
+				>
+			</File>
+			<File
+				RelativePath=".\FlexibleHeap.h"
+				>
+			</File>
+			<File
+				RelativePath=".\glInterface.h"
+				>
+			</File>
+			<File
+				RelativePath=".\GlobalLinesRenderer.h"
+				>
+			</File>
+			<File
+				RelativePath=".\GlRenderer.h"
+				>
+			</File>
+			<File
+				RelativePath=".\GvsPreprocessor.h"
+				>
+			</File>
+			<File
+				RelativePath=".\GzBinFileInputStream.h"
+				>
+			</File>
+			<File
+				RelativePath=".\GzFileInputSource.h"
+				>
+			</File>
+			<File
+				RelativePath=".\gzstream.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Halton.h"
+				>
+			</File>
+			<File
+				RelativePath=".\HashPvs.h"
+				>
+			</File>
+			<File
+				RelativePath=".\HierarchyManager.h"
+				>
+			</File>
+			<File
+				RelativePath=".\IntelRayCaster.h"
+				>
+			</File>
+			<File
+				RelativePath=".\InternalRayCaster.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Intersectable.h"
+				>
+			</File>
+			<File
+				RelativePath=".\IntersectableWrapper.h"
+				>
+			</File>
+			<File
+				RelativePath=".\IntersectionBoundingBoxConverter.h"
+				>
+			</File>
+			<File
+				RelativePath=".\KdTree.h"
+				>
+			</File>
+			<File
+				RelativePath=".\LogManager.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Mailable.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Material.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Matrix4x4.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Mesh.h"
+				>
+			</File>
+			<File
+				RelativePath=".\MeshKdTree.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Mutation.h"
+				>
+			</File>
+			<File
+				RelativePath=".\MutualVisibility.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ObjectPvs.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ObjectsParser.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ObjectsParserXerces.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ObjExporter.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ObjParser.h"
+				>
+			</File>
+			<File
+				RelativePath=".\OcclusionQuery.h"
+				>
+			</File>
+			<File
+				RelativePath=".\OspTree.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Parser.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Plane3.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ply.h"
+				>
+			</File>
+			<File
+				RelativePath=".\PlyParser.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Polygon3.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Polytope.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Preprocessor.h"
+				>
+			</File>
+			<File
+				RelativePath=".\PreprocessorFactory.h"
+				>
+			</File>
+			<File
+				RelativePath=".\PreprocessorThread.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Pvs.h"
+				>
+			</File>
+			<File
+				RelativePath=".\PvsBase.h"
+				>
+			</File>
+			<File
+				RelativePath=".\PvsDefinitions.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Ray.h"
+				>
+			</File>
+			<File
+				RelativePath=".\RayCaster.h"
+				>
+			</File>
+			<File
+				RelativePath=".\RayInfo.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Rectangle3.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Renderer.h"
+				>
+			</File>
+			<File
+				RelativePath=".\RenderSampler.h"
+				>
+			</File>
+			<File
+				RelativePath=".\RenderSimulator.h"
+				>
+			</File>
+			<File
+				RelativePath=".\RenderTexture.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ResourceManager.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ReverseGvs.h"
+				>
+			</File>
+			<File
+				RelativePath=".\RndGauss.h"
+				>
+			</File>
+			<File
+				RelativePath=".\RssPreprocessor.h"
+				>
+			</File>
+			<File
+				RelativePath=".\RssTree.h"
+				>
+			</File>
+			<File
+				RelativePath=".\SamplingPreprocessor.h"
+				>
+			</File>
+			<File
+				RelativePath=".\SamplingStrategy.h"
+				>
+			</File>
+			<File
+				RelativePath=".\SceneGraph.h"
+				>
+			</File>
+			<File
+				RelativePath=".\SimpleRay.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Statistics.h"
+				>
+			</File>
+			<File
+				RelativePath=".\SubdivisionCandidate.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Tetrahedron3.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Trackball.h"
+				>
+			</File>
+			<File
+				RelativePath=".\TraversalTree.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Triangle3.h"
+				>
+			</File>
+			<File
+				RelativePath=".\UnigraphicsParser.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Vector2.h"
+				>
+			</File>
+			<File
+				RelativePath=".\Vector3.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ViewCell.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ViewCellBsp.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ViewCellsManager.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ViewCellsParser.h"
+				>
+			</File>
+			<File
+				RelativePath=".\ViewCellsParserXerces.h"
+				>
+			</File>
+			<File
+				RelativePath=".\VrmlExporter.h"
+				>
+			</File>
+			<File
+				RelativePath=".\VspBspTree.h"
+				>
+			</File>
+			<File
+				RelativePath=".\VspTree.h"
+				>
+			</File>
+			<File
+				RelativePath=".\VssPreprocessor.h"
+				>
+			</File>
+			<File
+				RelativePath=".\VssRay.h"
+				>
+			</File>
+			<File
+				RelativePath=".\VssTree.h"
+				>
+			</File>
+			<File
+				RelativePath=".\X3dExporter.h"
+				>
+			</File>
+			<File
+				RelativePath=".\X3dParser.h"
+				>
+			</File>
+			<File
+				RelativePath=".\X3dParserXerces.h"
+				>
+			</File>
+		</Filter>
+		<Filter
+			Name="Resource Files"
+			Filter="rc;ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe;resx;tiff;tif;png;wav"
+			UniqueIdentifier="{67DA6AB6-F800-4c08-8B7A-83BB121AAD01}"
+			>
+		</Filter>
+	</Files>
+	<Globals>
+	</Globals>
+</VisualStudioProject>
